/*
 * Abstract.cpp:
 *
 * This file defines functions that are implemented differently between
 * Win32 and Win16, ie., it abstracts them.
 *
 * Copyright (c) Malcolm Smith 2001-2007.  No warranty is provided.
 */

#include "pch.h"

#ifdef WIN3X_BASEAPI //WIN16
 
HANDLE
MplayFindFirst(LPCTSTR szFile, pi_find * fileinfo)
{                                                       
	int ret;
	ret = _dos_findfirst(szFile, 0x00ff, fileinfo);
	if (ret) {
		return INVALID_FIND_VALUE;
	} else {
		return NULL;
	}
}                                      

HANDLE
MplayFindNext(HANDLE hFind, pi_find * fileinfo)
{ 
	int ret;
	ret = _dos_findnext(fileinfo);
	if (ret) {
		return INVALID_FIND_VALUE;
	} else {
		return NULL;
	}
}   

int
MplayFindClose(HANDLE hFind)
{
	return TRUE;
}
unsigned int
MplayGetAttr(pi_find * fileinfo)
{
	return fileinfo->attrib;
}

LPTSTR
MplayGetName(pi_find * fileinfo)
{
	return fileinfo->name;
}


#else //WIN32

HANDLE
MplayFindFirst(LPCTSTR szFile, pi_find * fileinfo)
{
	HANDLE ret;
	ret = FindFirstFile(szFile, fileinfo);
	if (ret == INVALID_HANDLE_VALUE) {
		return INVALID_FIND_VALUE;
	} else {
		return ret;
	}
}

HANDLE
MplayFindNext(HANDLE hFind, pi_find * fileinfo)
{
	BOOL ret;
	ret = FindNextFile(hFind, fileinfo);
	if (!ret) {
		return INVALID_FIND_VALUE;
	} else {
		return NULL;
	}
}

BOOL
MplayFindClose(HANDLE hFind)
{
	return FindClose(hFind);
}

unsigned int
MplayGetAttr(pi_find * fileinfo)
{
	return fileinfo->dwFileAttributes;
}

LPTSTR
MplayGetName(pi_find * fileinfo)
{
	return fileinfo->cFileName;
}

#endif

